# std::filesystem::filesystem_error::what

From cppreference.com
< cpp‎ | filesystem‎ | filesystem error

const char* what() const noexcept override; |  | (since C++17)

Returns an explanatory byte string. This explanatory string contains the explanatory string passed at the time of construction. Implementations are encouraged to include the pathnames of path1() and path2() in native format and the std::system_error::what() string inside the returned string as well.

### Parameters

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/filesystem_error/what&oldid=105037"